summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRoman Perepelitsa <roman.perepelitsa@gmail.com>2023-12-09 11:38:45 +0300
committerRoman Perepelitsa <roman.perepelitsa@gmail.com>2023-12-09 11:38:45 +0300
commit36cce9a088c8cd7d7b1a3adccc74cf2a130c51e0 (patch)
tree7535fc6650ba6fda478c341d77466fab912948c5
parent3cc18b5e084651ce7a8fcb730b351cd5dc687d86 (diff)
wizard: replace rm with zf_rm (#2504)
-rw-r--r--internal/wizard.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/internal/wizard.zsh b/internal/wizard.zsh
index 9dd48e42..e07225e0 100644
--- a/internal/wizard.zsh
+++ b/internal/wizard.zsh
@@ -1950,7 +1950,7 @@ function generate_config() {
command mkdir -p -- ${__p9k_cfg_path:h} || return
if [[ -e $__p9k_cfg_path ]]; then
- rm $__p9k_cfg_path || return
+ zf_rm -f -- $__p9k_cfg_path || return
fi
print -lr -- "$header" "$lines[@]" >$__p9k_cfg_path
}